const efectos = {
    sinAtq: "00 02 03 1D 00 00 00 00 01 F2 7D 1D 08 1C 00 07 00 00 00 B0 69 1D 08 84 CC 69 1D 08 1C 00 FF 00 00 00 F2 7D 1D 08 01 F2 7D 1D 08 00 00 1F 00 20 00 39 8B 1D 08 09 0A",
    conAtq: "00 01 5E 69 1D 08 00 00 02 03 04 05 06 07 09 0A 0E 5C 00 3A 0B 00 0C 00 0D 12 40 00 0F 12 40 00",
    sufijo: "28 47 69 1D 08",
    prefijo: "2E 85 3E 02 02",
    ejecute: "15",
    nombres: (function () {
        var nombres = [];
        var nom = [
            "-",
            "Duerme al enemigo", //1
            "Envenena al enemigo", // 2
            "Quema al enemigo", // 3
            "Congela al enemigo", // 4
            "Paralizas al enemigo", // 5
            "Envenenas gravemente al enemigo",
            "Confunde al enemigo",
            "Causa retroceso",
            "Tri ataque",
            "-",
            "-",
            "El enemigo queda haciendo el poder que hiciste... es raro",
            "Atrapa al enemigo y daño continuo",
            "-",
            "Sube el ataque del enemigo un nivel",
            "Sube la Defensa del enemigo un nivel",
            "Sube la Velocidad del enemigo un nivel.",
            "Sube el Atq Esp del enemigo un nivel.",
            "Sube el Def Esp del enemigo un nivel.",
            "Sube la precisión del enemigo un nivel.",
            "Sube la evasión del enemigo un nivel.",
            "Reduce el Ataque del enemigo un nivel.",
            "Reduce la Defensa del enemigo un nivel.",
            "Reduce la Velocidad del enemigo un nivel.",
            "Reduce el Ataque Especial del enemigo un nivel.",
            "Reduce la Defensa Especial del enemigo un nivel.",
            "Reduce la precisión del enemigo un nivel.",
            "Reduce la evasión del enemigo un nivel.",
            "Hace que el enemigo se tome un turno para descansar",
            "-",
            "Roba el objeto",
            "-",
            "-",
            "-", // aumenta todas las caracteristicas
            "-",
            "-",
            "-",
            "-",
            "Sube el Ataque del rival dos niveles.",
            "Sube la Defensa del rival dos niveles.",
            "Sube la Velocidad del rival dos niveles.",
            "Sube el Ataque Especial del rival dos niveles.",
            "Sube la Defensa Especial del rival dos niveles.",
            "Sube la precisión del rival dos niveles.",
            "Sube la evasión del rival dos niveles.",
            "Reduce el Ataque del rival dos niveles.",
            "Reduce la Defensa del rival dos niveles.",
            "Reduce la Velocidad del rival dos niveles.",
            "Reduce el Ataque Especial del rival dos niveles.",
            "Reduce la Defensa Especial del rival dos niveles.",
            "Reduce la precisión del rival dos niveles.",
            "Reduce la evasión del rival dos niveles.",
            "El enemigo queda haciendo el poder que hiciste... y se confune.",
            "Quita el objeto al rival",
            0xc1,
            "Te duermes",
            "Te envenenas",
            "Te quemas",
            "Te congelas",
            "Te paralizas",
            "Te envenenas gravemente",
            "Te confundes",
            "-",
            "-",
            "Efecto de alboroto",
            "Efecto de Día de Pago.",
            "Golpeas varias veces",
            "Te atrapa y daño continuo",
            "1/4 daño por retroceso",
            "Sube el Ataque del usuario un nivel",
            "Sube la Defensa del usuario un nivel",
            "Sube la Velocidad del usuario un nivel.",
            "Sube el Atq Esp del usuario un nivel.",
            "Sube el Def Esp del usuario un nivel.",
            "Sube la precisión del usuario un nivel.",
            "Sube la evasión del usuario un nivel.",
            "Reduce el Ataque del usuario un nivel.",
            "Reduce la Defensa del usuario un nivel.",
            "Reduce la Velocidad del usuario un nivel.",
            "Reduce el Ataque Especial del usuario un nivel.",
            "Reduce la Defensa Especial del usuario un nivel.",
            "Reduce la precisión del usuario un nivel.",
            "Reduce la evasión del usuario un nivel.",
            "Toma una ronda para recuperarse.",
            "Efecto de Furia",
            "-", // no funcional
            "-", // nada
            "-", // Nada
            "El usuario sube todas sus estadisticas un nivel",
            "-",
            "-",
            "Reduce el Ataque y la Defensa del usuario un nivel.",
            "1/3 retroceso.",
            "Sube el Ataque del usuario dos niveles.",
            "Sube la Defensa del usuario dos niveles.",
            "Sube la Velocidad del usuario dos niveles.",
            "Sube el Ataque Especial del usuario dos niveles.",
            "Sube la Defensa Especial del usuario dos niveles.",
            "Sube la precisión del usuario dos niveles.",
            "Sube la evasión del usuario dos niveles.",
            "Reduce el Ataque del usuario dos niveles.",
            "Reduce la Defensa del usuario dos niveles.",
            "Reduce la Velocidad del usuario dos niveles.",
            "Reduce el Ataque Especial del usuario dos niveles.",
            "Reduce la Defensa Especial del usuario dos niveles.",
            "Reduce la precisión del usuario dos niveles.",
            "Reduce la evasión del usuario dos niveles.",
            "Golpea varias veces y confunde",
            "Quita el objeto al usuario",
            "-",
            "-",
            "-",
            "-",
            "Reduce el Ataque Especial del usuario dos niveles."
        ]
        var index = 0
        var mayor = 0
        for (let i = 0; i < nom.length; i++) {
            const element = nom[i];
            if (typeof(element) == "number") {
                index = element - i-1
            } else {
                nombres[index+i] = element
                if (index+i > mayor) {
                    mayor = index+i
                }
            }
        }

        /* var keys = Object.assign(object)

        for (let i = 0; i < keys.length; i++) {
            const ind = keys[i];
            const obj = object[ind]
            nombres[ind] = obj
            if (ind > mayor) {
                mayor = ind
            }
        } */

        for (let i = 0; i < mayor; i++) {
            if (!nombres[i]) {
                nombres[i] = "-"
            }

        }
        return nombres;
    })(),
    interludios: {
        [0]: "Aplican al enemigo",
        [0xc1]: "Aplican al usuario."
    }
}